<template>
  <fieldset>
    <TextInputFloatingLabel for="url" text="URL">
      <input
        type="text"
        :value="currentSettings.url"
        name="url"
        placeholder="http://192.168.1.10/cgi/snapshot.mjpeg"
      />
    </TextInputFloatingLabel>
    <CheckboxBorderedLabel for="reloadStream" :text="t('reload_stream_label')">
      <input
          type="checkbox"
          name="reloadStream"
          id="reloadStream"
          :checked="currentSettings.reloadStream"
      />
    </CheckboxBorderedLabel>
    <CheckboxBorderedLabel for="requiresAuth" :text="t('requires_auth_label')">
      <input
        type="checkbox"
        name="requiresAuth"
        id="requiresAuth"
        :checked="currentSettings.requiresAuth"
      />
    </CheckboxBorderedLabel>
    <fieldset v-show="currentSettings.requiresAuth">
      <TextInputFloatingLabel for="user" :text="t('user_name_label')">
        <input
          type="text"
          name="user"
          id="user"
          :value="currentSettings.user"
          placeholder="some-user"
        />
      </TextInputFloatingLabel>
      <TextInputFloatingLabel for="password" :text="t('password_label')">
        <input
          type="text"
          name="password"
          id="password"
          :value="currentSettings.password"
          placeholder="mypassword"
        />
      </TextInputFloatingLabel>
    </fieldset>
  </fieldset>
</template>

<script>
module.exports = {
  name: "ip_cam",
  props: {
    currentSettings: {
      type: Object,
      required: true,
    },
    locale: {
      type: String,
      required: true
    }
  },
  locales: {
    enGb: {
      requires_auth_label: "Requires authorization",
      reload_stream_label: "Reload stream every hour",
      user_name_label: "User name",
      password_label: "Password"
    },
    deDe: {
      requires_auth_label: "Erfordert Zugangsdaten",
      reload_stream_label: "Stream jede Stunde neu laden",
      user_name_label: "Benutzername",
      password_label: "Passwort"
    },
    frFr: {
      requires_auth_label: "Nécessite une autorisation",
      reload_stream_label: "Recharger le flux toutes les heures",
      user_name_label: "Nom d'utilisateur",
      password_label: "Mot de passe"
    },
    esEs: {
      requires_auth_label: "Requiere autorización",
      reload_stream_label: "Recargar la transmisión cada hora",
      user_name_label: "Nombre de usuario",
      password_label: "Contraseña"
    },
    plPl: {
      requires_auth_label: "Wymaga zezwolenia",
      reload_stream_label: "Odświeżaj strumień co godzinę",
      user_name_label: "Nazwa użytkownika",
      password_label: "Hasło"
    },
    koKr: {
      requires_auth_label: "승인이 필요합니다",
      reload_stream_label: "매시간 스트림 새로 고침",
      user_name_label: "사용자 이름",
      password_label: "암호"
    }
  }
};
</script>
